Open CASCADE Technology: BOPDS_InterfFF Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
BOPDS_InterfFF Class Reference

`#include <BOPDS_Interf.hxx>`

Inheritance diagram for BOPDS_InterfFF:
[legend]

## Public Member Functions
| BOPDS_InterfFF ()
virtual | ~BOPDS_InterfFF ()
void | Init (const Standard_Integer theNbCurves, const Standard_Integer theNbPoints)
void | SetTangentFaces (const Standard_Boolean theFlag)
Standard_Boolean | TangentFaces () const
void | SetTolR3D (const Standard_Real theTol)
Standard_Real | TolR3D () const
void | SetTolR2D (const Standard_Real theTol)
Standard_Real | TolR2D () const
const BOPDS_VectorOfCurve & | Curves () const
BOPDS_VectorOfCurve & | ChangeCurves ()
const BOPDS_VectorOfPoint & | Points () const
BOPDS_VectorOfPoint & | ChangePoints ()
Public Member Functions inherited from BOPDS_Interf
void | SetIndices (const Standard_Integer theIndex1, const Standard_Integer theIndex2)
void | Indices (Standard_Integer &theIndex1, Standard_Integer &theIndex2) const
void | SetIndex1 (const Standard_Integer theIndex)
void | SetIndex2 (const Standard_Integer theIndex)
Standard_Integer | Index1 () const
Standard_Integer | Index2 () const
Standard_Integer | OppositeIndex (const Standard_Integer theI) const
Standard_Boolean | Contains (const Standard_Integer theIndex) const
void | SetIndexNew (const Standard_Integer theIndex)
Standard_Integer | IndexNew () const
Standard_Boolean | HasIndexNew (Standard_Integer &theIndex) const
Standard_Boolean | HasIndexNew () const

## Protected Attributes
Standard_Boolean | myTangentFaces
Standard_Real | myTolR3D
Standard_Real | myTolR2D
BOPDS_VectorOfCurve | myCurves
BOPDS_VectorOfPoint | myPoints
Protected Attributes inherited from BOPDS_Interf
Standard_Integer | myIndex1
Standard_Integer | myIndex2
Standard_Integer | myIndexNew
Handle< NCollection_BaseAllocator > | myAllocator

## Additional Inherited Members
Protected Member Functions inherited from BOPDS_Interf
| BOPDS_Interf ()
| BOPDS_Interf (const Handle< NCollection_BaseAllocator > &theAllocator)
virtual | ~BOPDS_Interf ()

## Constructor & Destructor Documentation

BOPDS_InterfFF::BOPDS_InterfFF | ( |  | ) |
| inline

Constructor

virtual BOPDS_InterfFF::~BOPDS_InterfFF | ( |  | ) |
| inlinevirtual

Constructor

Parameters

  theAllocator | allocator to manage the memory Destructor

## Member Function Documentation

BOPDS_VectorOfCurve& BOPDS_InterfFF::ChangeCurves | ( |  | ) |
| inline

Selector/Modifier Returns the intersection curves

Returns
  intersection curves

BOPDS_VectorOfPoint& BOPDS_InterfFF::ChangePoints | ( |  | ) |
| inline

Selector/Modifier Returns the intersection points

Returns
  intersection points

const BOPDS_VectorOfCurve& BOPDS_InterfFF::Curves | ( |  | ) | const
| inline

Selector Returns the intersection curves

Returns
  intersection curves

void BOPDS_InterfFF::Init | ( | const Standard_Integer | theNbCurves,
|  | const Standard_Integer | theNbPoints
| ) |  |
| inline

Initializer

Parameters

  theNbCurves | number of intersection curves
  theNbPoints | number of intersection points

const BOPDS_VectorOfPoint& BOPDS_InterfFF::Points | ( |  | ) | const
| inline

Selector Returns the intersection points

Returns
  intersection points

void BOPDS_InterfFF::SetTangentFaces | ( | const Standard_Boolean | theFlag | ) |
| inline

Modifier Sets the flag of whether the faces are tangent

Parameters

  theFlag | the flag

void BOPDS_InterfFF::SetTolR2D | ( | const Standard_Real | theTol | ) |
| inline

Modifier Sets the value of 2D tolerance

Parameters

  theTol | 2D tolerance

void BOPDS_InterfFF::SetTolR3D | ( | const Standard_Real | theTol | ) |
| inline

Modifier Sets the value of 3D tolerance

Parameters

  theTol | 3D tolerance

Standard_Boolean BOPDS_InterfFF::TangentFaces | ( |  | ) | const
| inline

Selector Returns the flag whether the faces are tangent

Returns
  the flag

Standard_Real BOPDS_InterfFF::TolR2D | ( |  | ) | const
| inline

Selector Returns the value of 2D tolerance

Returns
  2D tolerance

Standard_Real BOPDS_InterfFF::TolR3D | ( |  | ) | const
| inline

Selector Returns the value of 3D tolerance

Returns
  3D tolerance

## Field Documentation

BOPDS_VectorOfCurve BOPDS_InterfFF::myCurves
| protected

BOPDS_VectorOfPoint BOPDS_InterfFF::myPoints
| protected

Standard_Boolean BOPDS_InterfFF::myTangentFaces
| protected

Standard_Real BOPDS_InterfFF::myTolR2D
| protected

Standard_Real BOPDS_InterfFF::myTolR3D
| protected

The documentation for this class was generated from the following file:

- BOPDS_Interf.hxx